org.jetlang.remote.acceptor

## Class ClientTcpSocket

- java.lang.Object
- - org.jetlang.remote.acceptor.ClientTcpSocket

    public class ClientTcpSocket
    extends Object

User: mrettig Date: 4/13/11 Time: 1:53 PM

### Constructor Summary

Constructors
Constructor and Description
`ClientTcpSocket(TcpSocket socket)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`TcpSocket` `getSocket()`
`void` `publishIfSubscribed(String topic, byte[] bytes)`
`void` `setSession(JetlangStreamSession session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientTcpSocket

    public ClientTcpSocket(TcpSocket socket)

### Method Detail

#### getSocket

    public TcpSocket getSocket()

#### close

    public void close()

#### setSession

    public void setSession(JetlangStreamSession session)

#### publishIfSubscribed

    public void publishIfSubscribed(String topic,
                                    byte[] bytes)